code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/usr/bin/env sh # # make-pem-cert v1.0 # # Luca Cappelletti (c) 2015 # # Licenza WTF # # Genera un certificato PEM con chiavi da 4096 bit [ $(which openssl) ] || { echo "ERRORE: non trovo il binario openssl "; exit; } [ -f stunnel.cnf ] || [ -f openssl.cnf ] || { echo "ERRORE: non trovo un file di configurazione .c...
mutek/Cucina
RACCOLTA/STUNNEL/5.17/Supporto/make-pem-cert.sh
Shell
unlicense
713
#!/bin/bash PATH="/usr/local/rbenv/bin:$PATH" export PATH
EnginesOS/System
system/templates/deployment/rails4/Rack.sh
Shell
apache-2.0
59
mkdir -p checkpoint cd checkpoint gdown https://drive.google.com/u/1/uc?id=1uXdgdk-37XITLeTK5r3uXpc6Uq-GQ5jh unzip checkpoint.zip cd ..
googleinterns/humangps
download_model.sh
Shell
apache-2.0
136
# install essential libraries export CODE_DIR=~/code # #sudo apt-get install build-essential #sudo apt-get install libjpeg-dev #sudo apt-get install libtiff5-dev echo "Do you want to install all packages regardless of size? [y/n] " read dec echo "Which branch of HotSpotter do you want? Just press [ENTER] f...
SU-ECE-17-7/ece177setup
setup.sh
Shell
apache-2.0
3,873
#!/bin/bash action="OUTPUT-MODEL" log="/tmp/output-model.log" echo "$(date +'%m-%d-%y %H:%M:%S') Starting($action)" > $log echo "$(date +'%m-%d-%y %H:%M:%S') Done($action)" >> $log exit 0
jay-johnson/sci-pype
containerfiles/output-model.sh
Shell
apache-2.0
191
#!/bin/sh ### BEGIN INIT INFO # Provides: orientdb-server # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: OrientDB server init script ### END INIT INFO # Author: Alexander Milke <milke.av@gmail.com> # O...
mav-im/orientdb-debian-packager
helpers/init/orientdb.tpl.sh
Shell
apache-2.0
1,837
#!/usr/bin/env bash set -e source bosh-cpi-release/ci/tasks/utils.sh check_param BASE_OS check_param BAT_VCAP_PASSWORD check_param BAT_SECOND_STATIC_IP check_param SL_DATACENTER check_param SL_VLAN_PUBLIC check_param SL_VLAN_PRIVATE check_param SL_VM_NAME_PREFIX check_param SL_VM_DOMAIN DIRECTOR=`cat ${PWD}/deploy...
jianqiu/bosh-softlayer-cpi-release
ci/tasks/run-bats.sh
Shell
apache-2.0
4,802
#!/bin/bash # # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the...
RyanSkraba/beam
release/src/main/scripts/set_version.sh
Shell
apache-2.0
3,143
#! /bin/bash FILE_NAME=arm_web_deploy.tar.gz LATEST_RELEASE=$(curl -L -s -H 'Accept: application/json' https://github.com/dmweis/Quadruped/releases/latest) # The releases are returned in the format {"id":3622206,"tag_name":"hello-1.0.0.11",...}, we have to extract the tag_name. LATEST_VERSION=$(echo $LATEST_RELEASE |...
dmweis/DynamixelServo
Quadruped.WebInterface/downloadNewestWebInterfaceRelease.sh
Shell
apache-2.0
701
#!/bin/bash #echo $0 test=$0 prefix=`echo $test |cut -d "/" -f 2|cut -d "." -f 1 ` #echo $test echo $prefix name=$prefix echo "Compile $name.tex" xelatex -no-pdf $name.tex bibtex $name xelatex -no-pdf $name.tex xelatex $name.tex #dvips -Ppdf -G0 -tletter $name.dvi #ps2pdf -dCompatibilityLevel=1.4 -dPDFSETTINGS=/pre...
hadziq/ntust-thesis
中文版本/my_ntust_thesis.sh
Shell
apache-2.0
345
#!/bin/sh # Copyright 2014 The Kubernetes Authors All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required ...
dimtruck/magnum
magnum/templates/kubernetes/fragments/make-cert-client.sh
Shell
apache-2.0
2,467
#!/bin/bash swapoff -a sync; echo 3 > /proc/sys/vm/drop_caches echo 1 > /proc/sys/vm/compact_memory echo noop > /sys/block/sda/queue/scheduler echo 0 > /sys/block/sda/queue/add_random echo 2 > /sys/block/sda/queue/rq_affinity for NODE in node2 node3 node4; do ssh "root@${NODE}" 'swapoff -a' ssh "root@${NODE}" 'sync...
mangokingTW/TSCC
setup_tasks/TauDEM/run.sh
Shell
apache-2.0
740
#!/bin/bash cd /var/www/html/sentiment-analysis-module; echo "before:"; sudo -u cloudera crontab -l 2>&1; declare -i minutes; minutes=$(date +%M)+2%60; #i don't care if this work is already present, in case it will be re-planed it in 2 minutes (old version is erased) (sudo -u cloudera crontab -l 2>&1 | grep -v "no cron...
mellowonpsx/ESCA
html/sentiment-analysis-module/addCron.sh
Shell
apache-2.0
746
#!/bin/bash # Author: yeho <lj2007331 AT gmail.com> # BLOG: https://linuxeye.com # # Notes: OneinStack for CentOS/RedHat 7+ Debian 8+ and Ubuntu 16+ # # Project home page: # https://oneinstack.com # https://github.com/oneinstack/oneinstack Install_Python() { if [ -e "${python_install_dir}/bin/python" ]...
kaneawk/oneinstack
include/python.sh
Shell
apache-2.0
3,030
# fire up bd2 and bes #!/bin/bash /db2-start.sh service besserver start service besfilldb start service besgatherdb start service beswebreports start service besclient start /setupPluginServiceAndRESTAPI.sh while [[ true ]]; do sleep 600 done
Anthonyo2015/bfdocker
besserver/bes-start.sh
Shell
apache-2.0
248
#!/bin/bash DEMO_HOME=$PWD/demos/10-simple-demo start(){ echo \\\\\ start node_exporter... bin/node_exporter \ --collector.systemd \ & sleep 2 echo \\\\\ start prometheus... bin/prometheus-1.8.0.linux-amd64/prometheus \ -storage.local.path=$DEMO_HOME/prometheus/data \ -c...
jugsaar/jugsaar-meeting-32-prometheus
simple-demo.sh
Shell
apache-2.0
795
#!/usr/bin/env bash echo "Starting the fabric8 container" docker run -p 8181 -p 22 -i -t eurotrip:fabric8 /bin/bash
eurotrip11/docker-fabric8
fabric8-bash.sh
Shell
apache-2.0
116
#!/bin/bash -e cd $(dirname $0) for name in {migration-s3-bosh-lite,migration-webdav-bosh-lite,cc-updater-bosh-lite}; do ../1-click/generate-bosh-lite-in-sl-manifest.sh $name > /tmp/bosh-lite-in-sl.yml ../fly-login.sh flintstone # Hack: using sed to work around Concourse limitation. See bosh-create-env.sh for...
cloudfoundry-incubator/bits-service-ci
additional-boshlites/set-pipeline.sh
Shell
apache-2.0
930
#!/bin/bash -p # This file is distributed by puppet export PATH=/usr/sbin:/sbin:/usr/bin:/bin umask 077 cd $(dirname $0) trap '' INT trap '' TSTP export TMPDIR=/var/tmp set -e set -o pipefail # function called on an error to return error to the screen and an exit code function bailout () { error=$1 ...
SoftcomInc/puppet-bacula
files/pre-bacula.sh
Shell
apache-2.0
1,354
#!/bin/sh # build boot as -o boot.o boot.s ld -Ttext 0x7c00 -o boot boot.o objcopy -O binary boot boot.bin dd if=boot.bin of=boot.img count=1 chmod -x boot.img rm -f boot boot.o boot.bin # build setup as -o setup.o setup.s as -o int.o int.s as -o main.o main.s as -o data.o data.s ld -Ttext 0x6000 -o setup setup.o int...
activesys/learning_cpu
x86/temporary/build.sh
Shell
apache-2.0
1,191
#!/usr/bin/env bash # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, s...
intel-hadoop/hbase-rhino
dev-support/test-patch.sh
Shell
apache-2.0
34,327
#!/bin/bash ####################################################################### # # Linux on Hyper-V and Azure Test Code, ver. 1.0.0 # Copyright (c) Microsoft Corporation # # All rights reserved. # Licensed under the Apache License, Version 2.0 (the ""License""); # you may not use this file except in compliance wi...
iamshital/azure-linux-automation
remote-scripts/perf_ntttcp.sh
Shell
apache-2.0
11,794
#!/bin/bash # # # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "License"...
velo/incubator-tinkerpop
bin/init-tp-spark.sh
Shell
apache-2.0
2,237
#!/bin/bash # Copyright 2019 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to ...
googleapis/java-phishingprotection
.kokoro/release/publish_javadoc.sh
Shell
apache-2.0
1,428
#!/usr/bin/env bash # # Copyright (c) 2015 Intel Corporation # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicabl...
trustedanalytics/platform-ansible
bin/install_unzip.sh
Shell
apache-2.0
796
#!/bin/bash -eu # # Copyright IBM Corp. All Rights Reserved. # # SPDX-License-Identifier: Apache-2.0 GOROOT='/opt/go' GO_VERSION=1.13.4 # ---------------------------------------------------------------- # Install Golang # ---------------------------------------------------------------- GO_URL=https://storage.googleap...
binhn/fabric
vagrant/golang.sh
Shell
apache-2.0
700
#!/usr/bin/env bash # Copyright 2021 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applica...
kubernetes/k8s.io
hack/verify-boilerplate.sh
Shell
apache-2.0
1,237
#!/usr/bin/env bash # $1 = file to check for siblings of isFileAnOnlyChild() { local parentDir numChildren parentDir="$(readlink -f "$(dirname "$1")")" numChildren=$(find "$parentDir" | wc -l) # 2 lines, one for each of: $parentDir and $1 [ "$numChildren" -eq 2 ] } # $1 = directory to check is empty isDire...
jzacsh/yabashlib
src/files.sh
Shell
apache-2.0
894
#!/bin/bash # # Deploy a jar, source jar, and javadoc jar to Sonatype's snapshot repo. # # Adapted from https://coderwall.com/p/9b_lfq and # http://benlimmer.com/2013/12/26/automatically-publish-javadoc-to-gh-pages-with-travis-ci/ SLUG="hzsweers/ArraySetBackport" JDK="oraclejdk8" BRANCH="master" set -e if [ "$TRAVIS...
saadfarooq/Khoji
.buildscript/deploy_snapshot.sh
Shell
apache-2.0
947
#!/bin/bash # Author: yeho <lj2007331 AT gmail.com> # BLOG: https://blog.linuxeye.com # # Version: 1.0-Alpha Jun 15,2015 lj2007331 AT gmail.com # Notes: OneinStack for CentOS/RadHat 5+ Debian 6+ and Ubuntu 12+ # # Project home page: # http://oneinstack.com Install_tomcat-7() { cd $oneinstack_dir/src . ../funct...
wedojava/oneinstack
functions/tomcat-7.sh
Shell
apache-2.0
3,937
#!/bin/bash # # Convert a blender .blend file to json format. # Useful as a textconv in a VCS. # if [ $# -ne 1 ]; then echo "usage: ${BASH_SOURCE} blend-file-name" exit 1 fi BLENDER=/Applications/Blender.app/Contents/MacOS/Blender BLENDFILE=$1 DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pw...
adamlatchem/toolchest
blend2json.sh
Shell
apache-2.0
503
#!/bin/sh # # Licensed under the Apache License, Version 2.0 (the "License"); you may # not use this file except in compliance with the License. You may obtain # a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distrib...
ytsarev/rally
tests_ci/pre_test_hook.sh
Shell
apache-2.0
853
#!/bin/sh /usr/local/mysql/bin/mysql -u ?? --password=?? missedidea < missedidea.sql
mjac/MissedIdea
MissedIdea/refreshdb.sh
Shell
apache-2.0
85
#!/bin/bash SCRIPT_PATH=`realpath $0` SCRIPT_BASE=`dirname ${SCRIPT_PATH}` BASE_DIR="${SCRIPT_BASE}/../../" cd ${BASE_DIR} || exit 1 vagrant destroy -f
m-asama/vyos-test
scripts/setup/vagrant_destroy.sh
Shell
apache-2.0
155
find | grep -e "\.zip$" > list-of-zips-`timestamp`-`hostname`.txt
bayvictor/distributed-polling-system
bin/gen_ziplist.sh
Shell
apache-2.0
67
tmpdir=/hps/nobackup2/production/ensembl/anja/release_98/opossum/remapping/new_assembly/ bsub \ -J bwa_index \ -o ${tmpdir}bwa_index.out \ -e ${tmpdir}bwa_index.err \ -q production-rh7 -M 8000 -R "rusage[mem=8000]" \ bwa index -a bwtsw ${tmpdir}Monodelphis_domestica.ASM229v1.dna_sm.toplevel.fa
at7/work
utils/index_fasta_opossum.sh
Shell
apache-2.0
295
#!/bin/bash -e # The script does automatic checking on a Go package and its sub-packages, including: # 1. gofmt (http://golang.org/cmd/gofmt/) # 2. goimports (https://github.com/bradfitz/goimports) # 3. golint (https://github.com/golang/lint) # 4. go vet (http://golang.org/cmd/vet) # 5. race d...
intelsdi-x/snap-plugin-utilities
scripts/test.sh
Shell
apache-2.0
3,117
#!/bin/bash ### # Docs # config.json https://docsearch.algolia.com/docs/config-file # Run the crawler https://docsearch.algolia.com/docs/run-your-own/#run-the-crawl-from-the-docker-image ### USAGE if [ "$#" -ne 3 ]; then echo -e "not enough arguments USAGE:\n\n$0 \$ALGOLIA_APPLICATION_ID \$ALGOLIA_API_KEY \$CONFIG_...
spring-projects/spring-security
.github/actions/algolia-docsearch-scraper.sh
Shell
apache-2.0
593
#building conf2gv go build src/conf2gv/conf2gv.go src/conf2gv/graphWriter.go #building schedule go build src/schedule/schedule.go
arbaer/schedule
build.sh
Shell
apache-2.0
131
# Copyright 2015 Google Inc. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or a...
googlearchive/graphd
test/unit/3323.sh
Shell
apache-2.0
1,144
sudo apt-get install -y samba smbfs sudo gedit /etc/samba/smb.conf ## add below 2 lines for above file #security = user #username map = /etc/samba/smbusers sudo gedit /etc/samba/smbusers sudo /etc/init.d/samba stop sudo /etc/init.d/samba start
bayvictor/distributed-polling-system
bin/new_setup_samba.sh
Shell
apache-2.0
245
# utils.sh: Helper functions # # Copyright 2015, 2017 Sudaraka Wijesinghe <sudaraka@sudaraka.org> # # This program comes with ABSOLUTELY NO WARRANTY; # This is free software, and you are welcome to redistribute it and/or modify it # under the terms of the BSD 2-clause License. See the LICENSE file for more # details. #...
sudaraka/archlinux-docker-image
utils.sh
Shell
bsd-2-clause
1,186
#!/bin/bash # Test whether the app is installed. export STATE_DIR="${STATE_DIR:-appState}" if [ -e ~/Documents ]; then exit 0 else exit 1 fi
ksandom/colouredWeb
apps/documents/appState/appInstalled.sh
Shell
bsd-2-clause
150
#!/bin/bash gcc -O3 ./rsa-reverse.c -o rsa-reverse -lgmp
cipherboy/RSA_Crack
rsa-reverse.sh
Shell
bsd-2-clause
58
#! /bin/bash echo -e " \033[0;32m Instalando arquivo \033[0m " cp generate.py /usr/bin/generate.py
IuryAlves/generate-flask-skeletons
install.sh
Shell
bsd-2-clause
101
#!/bin/sh ../bin/rshell < input_redirect.txt
nvold/rshell
tests/input_redirect_test.sh
Shell
bsd-3-clause
45
#!/bin/sh # simple tool to scrape a Nagios interface and reconstruct a read-only page # useful for displaying an internal Nagios interface externally/read only # this is a local version of nagios-generate-dashboard.sh, meant for hosting on # the same host where Nagios runs. # This assumes an HTTPS internal Nagios host ...
sadsfae/misc-scripts
shell/nagios-generate-dashboard-local.sh
Shell
bsd-3-clause
1,385
#!/bin/bash # # Run checks related to code quality. # # This script is intended for both the CI and to check locally that code standards are # respected. We are currently linting (PEP-8 and similar), looking for patterns of # common mistakes (sphinx directives with missing blank lines, old style classes, # unwanted imp...
GuessWhoSamFoo/pandas
ci/code_checks.sh
Shell
bsd-3-clause
12,069
#!/bin/bash # Convenience script for starting/stopping the virtual machine. VM_INSTALL_DIR="${HOME}/vagrant/freeswitch-kickstart" SCRIPT_NAME=`basename $0` usage() { echo " This script smooths out the little inconsistencies in starting/stopping a virtual server. Usage: $SCRIPT_NAME <start|stop|restart|status> s...
thehunmonkgroup/freeswitch-kickstart
vagrant/manage-vm.sh
Shell
mit
1,191
#!/bin/bash # This script is invoked by Travis testing and inspects # the changeset that's being built. # # Usage: # # if.sh <label> && something_else # # The intention is to be able to ONLY test certain aspects # when special conditions are satisfied. # # Notes: # JS tests are expected to be very fast # We s...
lyw07/kolibri
test/if.sh
Shell
mit
3,913
#!/bin/bash set -ex # save HYPRIOT_* content from /etc/os-release. Needs to be done in # case base-files gets updated during build < /etc/os-release grep HYPRIOT_ > /tmp/os-release.add KEYSERVER="ha.pool.sks-keyservers.net" function clean_print(){ local fingerprint="${2}" local func="${1}" nospaces=${fingerpr...
docbobo/image-builder-odroid-c2
builder/chroot-script.sh
Shell
mit
5,083
#!/usr/bin/env bash MANIFEST_DIR='android/app/src/main' MANIFEST_FILE='AndroidManifest.xml' MANIFEST_PATH=$MANIFEST_DIR/$MANIFEST_FILE VERSION_CODE=`grep versionCode $MANIFEST_PATH | sed 's/.*versionCode="//;s/".*//'` PACKAGE_VERSION=$(cat package.json | grep version | head -1 | awk -F: '{ print $2 }' | sed 's/[\",]//g...
andry-baka/dapur-ngebul-app
scripts/version-android.sh
Shell
mit
718
#!/bin/bash ## Source path THUB_SRC=${1} if [ -z "${THUB_SRC}" ]; then echo 'ERROR: THUB_SRC variable is empty. Aborting...' exit 1 fi ## S3 bucket name THUB_S3_PATH=${2-${THUB_S3_PATH}} if [ -z "${THUB_S3_PATH}" ]; then echo 'ERROR: THUB_S3_PATH variable is empty. Aborting...' exit 1 fi ## AWS options: --re...
MitocGroup/SDLC
terraform/s3_bucket/scripts/download.sh
Shell
mit
1,074
source $stdenv/setup mkdir -p $out/share/emacs/site-lisp cd $out/share/emacs/site-lisp tar xvfz $src mv php-mode-*/* . rmdir php-mode-*
SymbiFlow/nixpkgs
pkgs/applications/editors/emacs-modes/php/builder.sh
Shell
mit
137
#!/bin/bash sed -i "s|localhost|$MONGODB|" /opt/conda/lib/python3.7/site-packages/QUANTAXIS/QAUtil/QASetting.py jupyter lab --allow-root --config=/root/.jupyter/jupyter_notebook_config.py
yutiansut/QUANTAXIS
docker/qa-jupyter-go-r/runpy.sh
Shell
mit
189
#!/bin/bash set -ev make -j 5
danielepantaleone/ioq3-UrT
make-x86_64.sh
Shell
gpl-2.0
31
# Update package files in LAMMPS # cp package file to src if doesn't exist or is different # do not copy certain files if non-OMP versions do not exist # do remove OpenMP style files that have no matching # non-OpenMP version installed, e.g. after a package has been removed for file in *_omp.cpp *_omp.h; do # let ...
qingguang/lammps-sph
src/USER-OMP/Package.sh
Shell
gpl-2.0
901
#!/bin/sh # Copyright Abandoned 1996 TCX DataKonsult AB & Monty Program KB & Detron HB # This file is public domain and comes with NO WARRANTY of any kind # # Script to start the MySQL daemon and restart it if it dies unexpectedly # # This should be executed in the MySQL base directory if you are using a # binary insta...
kbauskar/percona-server
scripts/mysqld_safe.sh
Shell
gpl-2.0
28,955
#!/bin/bash # This script builds Octave / Matlab interfaces for macOS. # A Matlab installation must be specified in order to build the # Matlab interface. The paths should not contain spaces! # # The script is known to work on macOS 10.5 Catalina with Homebrew. # # At least the following packages are required: # octav...
NFFT/nfft_new
macos-build-mex.sh
Shell
gpl-2.0
7,829
#!/bin/sh # $Id$ # # MKparametrized.sh -- generate indirection vectors for various sort methods # # The output of this script is C source for an array specifying whether # termcap strings should undergo parameter and padding translation. # CAPS="${1-Caps}" cat <<EOF /* * parametrized.h --- is a termcap capability para...
ipwndev/DSLinux-Mirror
lib/libncurses/include/MKparametrized.sh
Shell
gpl-2.0
1,183
#! /bin/sh # Copyright (C) 1999-2014 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
kuym/openocd
tools/automake-1.15/t/hdr-vars-defined-once.sh
Shell
gpl-2.0
1,257
#! /bin/sh . ../../testenv.sh synth_analyze ent clean echo "Test successful"
tgingold/ghdl
testsuite/synth/issue1157/testsuite.sh
Shell
gpl-2.0
80
# # Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the Free Softwar...
kgilmer/openjdk-7-mermaid
test/com/sun/jdi/connect/spi/JdiLoadedByCustomLoader.sh
Shell
gpl-2.0
2,162
#!/bin/bash # # Script will be run after parameterization has completed, e.g., # use this to compile source code that has been parameterized. # The container user password will be passed as the first argument. # Thus, if this script is to use sudo and the sudoers for the lab # not not permit nopassword, then use:...
cliffe/SecGen
modules/utilities/unix/labtainers/files/Labtainers-master/labs/remote-dns/isp/_bin/fixlocal.sh
Shell
gpl-3.0
714
#!/bin/sh unset LOFARROOT ./runctest.sh tKernelOccupancy
jjdmol/LOFAR
RTCP/Cobalt/GPUProc/test/cuda/tKernelOccupancy.sh
Shell
gpl-3.0
58
#!/bin/bash # Sets lamp color depending on the load of the given server. # The server needs to have munin-node running. # # Author: Christian Weiske <cweiske@cweiske.de> # Dependencies: # bash (for "source" command), bc (math), netcat, usblamp # # Configuration: # - serverload-config.sh # - Hostname as first parameter...
daniel-git/usblamp
scripts/serverload-munin.sh
Shell
gpl-3.0
908
ssh -t -t -o StrictHostKeyChecking=no modong2@bridge0.demopair1.uiucscheduling.emulab.net "~/setpipe.sh $1 $2 $3 $4 $5 $6" ssh -t -t -o StrictHostKeyChecking=no modong2@receiver1.demopair1.uiucscheduling.emulab.net "~/setloss.sh $8" ssh -t -t -o StrictHostKeyChecking=no modong2@bridge0.demopair2.uiucscheduling.emulab.n...
loveguag/pcctunnel
tune_bw_rtt_loss.sh
Shell
gpl-3.0
467
#!/bin/bash SCRIPT=$(readlink -f "$0") # haiwen/seafile-server-1.3.0/upgrade/upgrade_xx_xx.sh UPGRADE_DIR=$(dirname "$SCRIPT") # haiwen/seafile-server-1.3.0/upgrade/ INSTALLPATH=$(dirname "$UPGRADE_DIR") # haiwen/seafile-server-1.3.0/ TOPDIR=$(dirname "${INSTALLPATH}") # haiwen/ default_ccnet_conf_dir=${TOPDIR}/ccnet ...
yubobo/seafile
scripts/upgrade/upgrade_3.0_3.1.sh
Shell
gpl-3.0
5,511
#COMPILER_C=gcc #COMPILER_CPP=g++ COMPILER_C=clang COMPILER_CPP=clang++ #Note: There are more disc space efficient ways, make sure you have enough disc space if [ ! -d ./clamav-plain ]; then sudo apt-get install git git clone https://github.com/vrtadmin/clamav-devel clamav-plain cp -r clamav-plain clamav-...
floyd-fuh/afl-crash-analyzer
testcases/clamav/install.sh
Shell
gpl-3.0
2,393
#!/usr/bin/env bash . "sh-tests/common.functions" server=localhost tmpdir="$TMPDIR" test -z "$tmpdir" && tmpdir=/tmp out1="${tmpdir}/bnch$$.1" out2="${tmpdir}/bnch$$.2" logdir="${tmpdir}/bnch$$.d" nc="sh-tests/netcat.py" cleanup() { killbeanstalkd rm -rf "$logdir" "$out1" "$out2" } catch() { echo '' Int...
dolfelt/beanstalkd
sh-tests/binlog-read.sh
Shell
gpl-3.0
1,072
#!/bin/bash set -e pegasus_lite_version_major="4" pegasus_lite_version_minor="7" pegasus_lite_version_patch="0" pegasus_lite_enforce_strict_wp_check="true" pegasus_lite_version_allow_wp_auto_download="true" . pegasus-lite-common.sh pegasus_lite_init # cleanup in case of failures trap pegasus_lite_signal_int INT trap...
elainenaomi/sciwonc-dataflow-examples
dissertation2017/Experiment 1A/logs/w-10_1/20161107T090001+0000/00/00/calculateratio_6_ID0000021.sh
Shell
gpl-3.0
1,252
#!/bin/sh cd $(dirname $0)/../web SDK="../../ext-6.0.0" sencha compile --classpath=app.js,app,$SDK/packages/core/src,$SDK/packages/core/overrides,$SDK/classic/classic/src,$SDK/classic/classic/overrides \ exclude -all \ and \ include -recursive -file app.js \ and \ exclude -namespac...
pese-git/erlymon
tools/minify.sh
Shell
agpl-3.0
380
#!/bin/bash # # This is job test1_2 # # ## Start of header for backend 'local'. # set -e set -u ENVIRONMENT_DIR='.' # # Variables declared in MOLGENIS Compute headers/footers always start with an MC_ prefix. # declare MC_jobScript="test1_2.sh" declare MC_jobScriptSTDERR="test1_2.err" declare MC_jobScriptSTDOUT="tes...
pneerincx/molgenis-compute
molgenis-compute-core/src/test/resources/expected/testFoldingWeaving/test1_2.sh
Shell
lgpl-3.0
6,313
#!/bin/bash curl -X POST -s "https://httpbin.org/post"
jdgwartney/tsi-lab
labs/lab-2/ex-2-3.rest.sh
Shell
apache-2.0
56
#!/usr/bin/env bash # Fast build script that avoids rebuilding. May not work if configure # files have changed set -e THISDIR=`dirname $0` source "${THISDIR}/init-settings.sh" # Override build behaviour export RUN_AUTOTOOLS=0 export CONFIGURE=0 export MAKE_CLEAN=0 export SVN_UPDATE=0 source ${THISDIR}/internal-bui...
JohnPJenkins/swift-t
dev/build/fast-build-all.sh
Shell
apache-2.0
330
#!/bin/bash # Add the cisco-devnet user and add to sudoers. addgroup cisco-devnet # http://askubuntu.com/questions/94060/run-adduser-non-interactively adduser --gecos "" --disabled-login --shell /bin/bash --ingroup cisco-devnet cisco-devnet # http://serverfault.com/questions/336298/can-i-change-a-user-password-in-li...
CiscoDevNet/devnet-dev-vms
devnet-dev-base-common/add_cisco-devnet_user.sh
Shell
apache-2.0
545
#!/bin/bash structure="Destination Mac Address:48,Source Mac Address:48,EtherType:16,Version:4,\ IHL:4,Type of Service:8,Total Length:16,Identification:16,Flags:3,Fragment Offset:13,\ Time to Live:8,Protocol:8,Header Checksum:16,Source IP Address:32,Destination IP Address:32,\ Source Port:16,Destination Port:16,Length:...
jonvestal/open-kilda
docs/design/round-trip-latency/generate_packet_structure.sh
Shell
apache-2.0
1,056
#!/bin/bash cm=1 expert=E CUDA_VISIBLE_DEVICES=$1 python hdrnet/bin/train.py \ --learning_rate 1e-4 \ --batch_size 16 \ --model_name HDRNetPointwiseNNGuide \ --nobatch_norm \ --output_resolution 256 256 \ --channel_multiplier $cm \ --data_dir data/expert${expert...
mrluker/hdrnet
scripts/experts/e_nn.sh
Shell
apache-2.0
481
#!/bin/sh export TARGET_OUTPUT="target" if [ ! -d "$TARGET_OUTPUT" ]; then echo "Control will enter here if $TARGET_OUTPUT doesn't exist. Therefore build operation going to start." mvn clean install fi java -jar target/petstore-vertx-server-1.0.0-SNAPSHOT-fat.jar -conf config.json
phiz71/vertx-swagger
sample/petstore-vertx-server/run-with-config.sh
Shell
apache-2.0
292
#!/bin/bash # Script to build and deploy a snapshot version. # # Prerequisites # - Clean git status (no uncommitted changes) # - Docker is up and running # # What it does # 1. Build and deploy w/ profiles docker, prod, and theme-hal ROOT=$PWD BRANCH=$(git symbolic-ref -q HEAD) BRANCH=${BRANCH##refs/heads/} BRAN...
hpehl/hal.next
snapshot.sh
Shell
apache-2.0
896
#!/bin/bash set -e # 0.1 Ensure we have conda installed and available on the PATH if [[ ! -v CONDA_BIN_PATH ]]; then source /etc/profile.d/conda_config.sh fi echo "echo \$USER: $USER" echo "echo \$PWD: $PWD" echo "echo \$PATH: $PATH" echo "echo \$CONDA_BIN_PATH: $CONDA_BIN_PATH" # 0.2. Specify conda environment ...
Caserta-Concepts/dataproc_init
conda/install-conda-env.sh
Shell
apache-2.0
3,785
#!/bin/sh BUILD_NUMBER=25 ssh ddeploy01.tag-dev.com <<! tds jenkinspackage add satisfaction-scheduler jbanks-satisfaction-limbo $BUILD_NUMBER !
jeromebanks/satisfaction
apps/willrogers/lib/tds.sh
Shell
apache-2.0
146
export PATH="/opt/venv/bin:$PATH"
agdsn/pycroft
docker/base/etc/profile.d/venv.sh
Shell
apache-2.0
34
#!/bin/sh set -e # # Build the nginx # echo "Build" make .build/nginx # Build nginx rm -rf .build/.zone_* # Clear cache rm -rf .build/logs/* # Clear logs # # Spawn: # - nginx # echo "Setup" #valgrind --tool=memcheck --leak-check=full --trace-children=yes --log-file=.build/logs/valgrind-nginx.log -q \ .build/ngi...
egorse/ngx-proxy-cache-invalidate
tests/1.19.0-func-test/test.sh
Shell
bsd-2-clause
742
#!/usr/bin/env bash # Prints now playing in Rhytmbox. trim_method="trim" # Can be {trim or roll). max_len=40 # Trim output to this length. roll_speed=2 # Roll speed in chraacters per second. segment_path=$(dirname $0) source "$segment_path/../lib.sh" # Check if rhythmbox is playing and print that song. rhythmbox_...
pulni/mac_dotfiles
tmux_powerline/segments/np_rhythmbox.sh
Shell
bsd-2-clause
980
#!/bin/bash # configs/eagle100/nettest/setenv.sh # # Copyright (C) 2009 Gregory Nutt. All rights reserved. # Author: Gregory Nutt <gnutt@nuttx.org> # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # # 1. Redistribu...
IUTInfoAix/terrarium_2015
nuttx/configs/eagle100/nettest/setenv.sh
Shell
bsd-2-clause
2,627
#!/bin/sh # Copyright (c) 2007-2015 The OpenRC Authors. # See the Authors file at the top-level directory of this distribution and # https://github.com/OpenRC/openrc/blob/HEAD/AUTHORS # # This file is part of OpenRC. It is subject to the license terms in # the LICENSE file found in the top-level directory of this # dis...
williamh/openrc
support/openvpn/down.sh
Shell
bsd-2-clause
1,202
#!/bin/sh # $FreeBSD: soc2013/dpl/head/sys/contrib/dev/acpica/acpica_prep.sh 252044 2013-05-20 23:52:49Z jkim $ # # Unpack an ACPI CA drop and restructure it to fit the FreeBSD layout # if [ ! $# -eq 1 ]; then echo "usage: $0 acpica_archive" exit fi src=$1 wrk="$(realpath .)/_acpi_ca_unpack" dst="$(realpath .)/acpi...
dplbsd/soc2013
head/sys/contrib/dev/acpica/acpica_prep.sh
Shell
bsd-2-clause
2,885
#!/bin/bash set -e if [ -z "$XROAD_HOME" ] then XROAD_HOME=$(cd "$(dirname "$0")"; pwd) fi JRUBY_VERSION=$(cat $XROAD_HOME/.jruby-version) source ~/.rvm/scripts/rvm rvm use jruby-$JRUBY_VERSION RUBY_PROJECTS="center-service common-ui center-common proxy-ui center-ui" for each in $RUBY_PROJECTS do cd $XROAD_H...
ria-ee/X-Road
src/update_ruby_dependencies.sh
Shell
mit
683
#!/usr/bin/env bash set -e GIT_MESSAGE=$(git log --format=%B -n 1 $CIRCLE_SHA1) echo "git message is:" echo "$GIT_MESSAGE" if [[ $GIT_MESSAGE == "Merge pull request #"* ]] then MERGED_BRANCH=$(echo $GIT_MESSAGE | sed -n "s/^.*from ministryofjustice\/\s*\(\S*\).*$/\1/p") RELEASE_NAME=$(echo $MERGED_BRANCH | sed '...
ministryofjustice/cla_backend
bin/delete_uat_release.sh
Shell
mit
808
#!/bin/bash echo "================= START install-commandbox.sh $(date +"%r") =================" echo " " echo "BEGIN installing CommandBox" ############################################################################################## ## CommandBox Installation #######################################################...
Ortus-Solutions/vagrant-centos-lucee
vagrant/provisioners/install-commandbox.sh
Shell
mit
1,266
#!/bin/zsh # Ensure all javascript files staged for commit pass standard code style git diff --name-only --cached --relative | grep '\.js$' | xargs standard | snazzy exit $?
OTGApps/ReactCheckoutHelper
git_hooks/pre-commit/lint.sh
Shell
mit
175
# # Copyright (c) 2012-2018 Red Hat, Inc. # This program and the accompanying materials are made # available under the terms of the Eclipse Public License 2.0 # which is available at https://www.eclipse.org/legal/epl-2.0/ # # SPDX-License-Identifier: EPL-2.0 # # Contributors: # Red Hat, Inc. - initial API and impleme...
akervern/che
assembly/assembly-wsagent-server/src/assembly/setenv.sh
Shell
epl-1.0
3,238
#!/bin/bash echo [`date`] Bootstrapping Varnish... function clean_up { # Perform program exit housekeeping echo [`date`] Stopping the service service varnish stop exit } echo [`date`] Starting the services... trap clean_up SIGTERM #fix permissions for logs folder that might be mounted on host chmo...
kaliop/ezdocker-stack
images/varnish41/bootstrap.sh
Shell
gpl-2.0
498
#!/bin/bash . ../../../prepare.inc.sh . ../../../toolbox.inc.sh # ---- do the actual testing ---- result=PASS echo "++++ BEGINNING TEST" >$OUTPUTFILE # attempt to update the session keyring marker "CHECK UPDATE SESSION KEYRING" update_key --fail @s a expect_error EOPNOTSUPP # attempt to update an invalid key mark...
Distrotech/keyutils
tests/keyctl/update/bad-args/runtest.sh
Shell
gpl-2.0
867
#!/bin/bash mkdir -p results for ((i=200;i<1000;i++)); do wget -O results/${i}-city.html --post-data='cityToNpaModel.nasNpaId='$i \ 'http://nanpa.com/nas/public/npa_city_query_step2.do?method=displayData' done
openss7/openss7
src/perl/ss7view/data/nanpa/getmore.sh
Shell
agpl-3.0
213
# Hello World using external echo command echo Hello World # Hello World using builtin print function print("Hello World")
alexst07/seti
samples/language/1-hello-world.sh
Shell
apache-2.0
124
#!/bin/bash d=tokens-000 f=part if [ $# -ne "1" ] then echo "Usage: `basename $0` dataset" echo "Example: `basename $0` dblp.small" exit $E_BADARGS fi ./verify.sh $1/$d/$f-00000 $1.expected/$d/expected.txt exit $?
TonyApuzzo/fuzzyjoin
data/verify.stage1.sh
Shell
apache-2.0
225
#!/bin/bash if [ "$SELENIUM_BROWSER" == "builder1" ]; then gulp build --target=lib --mode=opt gulp test --target=spac gulp build --target=tests --filter=tests/backstore --filter=tests/base --filter=tests/cache --filter=tests/harness elif [ "$SELENIUM_BROWSER" == "builder2" ]; then gulp build --target=tests --fi...
digital-synapse/lovefield
tools/builder.sh
Shell
apache-2.0
501
#!/bin/bash # Copyright 2019 The TensorFlow Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
sarvex/tensorflow
tensorflow/tools/ci_build/nightly_release/macos/cpu_py38.sh
Shell
apache-2.0
2,168